// ========================== ここから ==============================
//ファイル名    global_define.c
//作成日        2024.4.6
//更新日        2024.4.6
//作成者        Shimaneko
//バージョン    1.0
//コンパイラ    MPLAB XC8
//ＰＩＣ        PIC18F14K50
//クロック      12MHz EXT PLLx4 48MHz
//
//概要
//     グローバル変数の宣言
//
// ====================== ここまで ===================================
#include<xc.h>
#include "global_define.h"

unsigned char timer2_interrupt_glb; //Timer2の割り込みがかかると立つフラグ
unsigned char start_end_button_short_glb; //START_END_BUTTONが短押しされたときに立つフラグ
unsigned char start_end_button_long_glb; //START_END_BUTTONが短押しされたときに立つフラグ
unsigned char mic_onoff_button_short_glb; //MIC_ONOFF_BUTTONが短押しされたときに立つフラグ
unsigned char mic_onoff_button_long_glb; //MIC_ONOFF_BUTTONが長押しされたときに立つフラグ
unsigned char video_onoff_button_short_glb; //VIDEO_ONOFF_BUTTONが短押しされたときに立つフラグ
unsigned char video_onoff_button_long_glb; //VIDEO_ONOFF_BUTTONが長押しされたときに立つフラグ

void global_define(void)
{
    timer2_interrupt_glb = INT_OFF;
    start_end_button_short_glb = INT_OFF;
    start_end_button_long_glb = INT_OFF;
    mic_onoff_button_short_glb = INT_OFF;
    mic_onoff_button_long_glb = INT_OFF;
    video_onoff_button_short_glb = INT_OFF;
    video_onoff_button_long_glb = INT_OFF;
    PORT_KANA_LED = LED_OFF;
    PORT_NUMLOCK_LED = LED_OFF;
    PORT_CAPSLOCK_LED = LED_OFF;
    PORT_SCROLL_LED = LED_OFF;
    PORT_DEBUG_LED = LED_OFF;

}

