// ========================== ここから ==============================
//ファイル名    led_cont.c
//作成日     2024.4.6
//更新日     2024.4.6
//作成者     Shimaneko
//バージョン    1.0
//コンパイラ    MPLAB XC8
//ＰＩＣ     PIC18F14K50
//クロック    12MHz EXT PLLx4 48MHz
//
//概要
//     LED制御関数
//
// ====================== ここまで ===================================

#include <xc.h>
#include "global_define.h"
#include "led_cont.h"


void led_cont(unsigned short interval) 
{
    static unsigned short counter = 0;
    
    if(counter++  > interval)
    {
        PORT_DEBUG_LED = !PORT_DEBUG_LED;
        counter = 0;
    }

}